package org.gcube.portlets.widgets.ckandatapublisherwidget.shared;

import java.io.Serializable;

/**
 * A dataset's resource bean
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public class ResourceBeanWrapper implements Serializable{

	private static final long serialVersionUID = -6542455246456049712L;
	private String url;
	private String name;
	private String description;
	private String id;
	
	public ResourceBeanWrapper(){
		super();
	}
	
	/**
	 * @param url
	 * @param name
	 * @param description
	 */
	public ResourceBeanWrapper(String url, String name, String description) {
		super();
		this.url = url;
		this.name = name;
		this.description = description;
	}
	
	/**
	 * @param url
	 * @param name
	 * @param description
	 * @param id
	 */
	public ResourceBeanWrapper(String url, String name, String description, String id) {
		super();
		this.url = url;
		this.name = name;
		this.description = description;
		this.id = id;
	}

	/**
	 * @return the url
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * @param url the url to set
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	
	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String toString() {
		return "ResourceBean [url=" + url + ", name=" + name + ", description="
				+ description + ", id=" + id + "]";
	}
}
